//
//  Person.h
//  Person
//
//  Created by park on 11. 9. 14..
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface Person : NSObject {
    // instance variables
    NSString * firstName;
    NSString * lastName;
    int age;
}

// method declarations
-(id) init;
-(id) initWithFirstName:(NSString *) fname lastName:(NSString *) lname;
-(id) initWithFirstName:(NSString *) fname lastName:(NSString *) lname age:(int) value;
-(void) dealloc;
-(NSString *) description; // method overriding

@property (copy) NSString * firstName;
@property (copy) NSString * lastName;
@property (readonly) NSString *fullName;
@property int age;
//-(NSString *) firstName;
//-(void) setFirstName: (NSString *) value;
//-(NSString *) lastName;
//-(void) setLastName: (NSString *) value;
//-(NSString *) fullName;
//-(int) age;
//-(void) setAge: (int) value;

-(BOOL) canLegallyVote;
-(void) castBallot;

-(BOOL) isEqual:(id) other;
-(BOOL) isEqualToPerson: (Person *) other;

@end
